package com.fdkankan.scene.service;

import com.fdkankan.scene.entity.FolderScene;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 文件夹和场景关联表 服务类
 * </p>
 *
 * @author dengsixing
 * @since 2021-12-23
 */
public interface IFolderSceneService extends IService<FolderScene> {

    void deleteByFolderId(Long folderId);

    void deleteBySceneId(Long sceneId);

    FolderScene findByType(Long sceneId, Integer folderType);

    List<FolderScene> findByFolderId(Long folderId);

    List<Long> getSceneIdListByFolderId(Long folderId);

}
